// @APIVersion 1.0.0
// @Title oc-datacenter
// @Description Monitor owned datacenter activity
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License AGPL
// @LicenseUrl https://www.gnu.org/licenses/agpl-3.0.html
package routers

import (
	"oc-datacenter/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc/",
		beego.NSInclude(
			&controllers.DatacenterController{},
		),

		beego.NSNamespace("/session",
			beego.NSInclude(
				&controllers.SessionController{},
			),
		),
		beego.NSNamespace("/booking",
			beego.NSInclude(
				&controllers.BookingController{},
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
		beego.NSNamespace("/admiralty",
			beego.NSInclude(
				&controllers.AdmiraltyController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
